Bug 326841 - Review Request: kcbench-data - Kernel sources to be used by kcbench
Review Request: kcbench-data - Kernel sources to be used by kcbench
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Tibbitts
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 326831
  Show dependency treegraph
 
Reported: 2007-10-10 15:24 EDT by Thorsten Leemhuis
Modified: 2007-11-30 17:12 EST (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-10-15 14:49:22 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
tibbs: fedora‑review+
kevin: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Thorsten Leemhuis 2007-10-10 15:24:03 EDT
Spec URL:
http://www.leemhuis.info/files/fedorarpms/SPECS.fdr/kcbench-data.spec

SRPM URL:
http://www.leemhuis.info/files/fedorarpms/SRPMS.fdr/kcbench-data-0.1-1.src.rpm

Description:
Linux Kernel sources to be compiled by kcbench to benchmark system
performance or test system stability.

Notes:

* I plan to ship each firth linux version (2.6.{20,25,30,35,...}) -- that should be enough afaics. Everytime I do a update users of old versions will have to update the datafiles, even if nothing changed. This you be prevented by putting kcbench-data-2.6.{20,25,30,35,...} packages into the repo -- but I don't think that's worth the trouble, as a update should happen only once a year.

* I chose to not install the datafiles in /usr/src as they might clash with other stuff there

* rpmlint puts out lots of warnings a like "devel-file-in-non-devel-package" "version-control-internal-file" "non-executable-script" -- I think they can be ignored for the purpose of this package
Comment 1 Jason Tibbitts 2007-10-12 17:11:31 EDT
Sorry for being so slow with this; I keep running out of time.

The rpmlint complaints are all OK; all the .c and .h files are the point of this
package, which isn't used to develop anything.

I do wonder about the necessity of packaging the Documentation directory if the
whole point is to provide a controlled set of kernel sources to compile.  I
guess it's only a few hundred files out of more than 22000 but it's not really
relevant to the purpose of this package.

One question I have is where the actual dependencies for compiling the kernel
source are going to come from.  This package has no dependency on make or the C
compiler, and it doesn't look like the kcbench package does, either.  Should
each of the data packages have dependencies on what they need in order to build?
 (They could have minimum gcc release requirements, for example, although I
doubt a Fedora release would ever violate them unless gcc 5.9 fails to compile
2.6.20 ten years from now.)

* source files match upstream:
   2c14ada1ac7d272e03b430d3a530d60fc9ec69cc8252382aa049afba7d2b8558  
   linux-2.6.20.tar.bz2
* package meets naming and versioning guidelines.
* specfile is properly named, is cleanly written and uses macros consistently.
* summary is OK.
* description is OK.
* build root is OK.
* license field matches the actual license.
* license is open source-compatible.
* license text included in package.
* BuildRequires are proper (none)
* %clean is present.
* package builds in mock (development, x86_64).
* package installs properly
* rpmlint has acceptable complaints.
? final dependencies might be incomplete
  kcbench-data-0.1-1.noarch.rpm
   kcbench-data = 0.1-1
  =
   kcbench
   kcbench-data-2.6.20 = 0.1-1

  kcbench-data-2.6.20-0.1-1.noarch.rpm
   kcbench-datafiles = 0.1-1
   kcbench-data-2.6.20 = 0.1-1
  =
   /bin/bash
   /bin/sh
   /usr/bin/env
   /usr/bin/perl
   /usr/bin/python
   kcbench-data = 0.1-1
   perl >= 1:5
   perl(File::Find)
   perl(strict)

* nothing to %check.
* owns the directories it creates.
* doesn't own any directories it shouldn't.
* no duplicates in %files.
* file permissions are appropriate.
* no scriptlets present.
* acceptable content.
Comment 2 Thorsten Leemhuis 2007-10-13 10:58:08 EDT
thx for reviewing

(In reply to comment #1)
> Sorry for being so slow with this; I keep running out of time.

np -- I've been using a similar script for years without even actually thinking
about submitting it to Fedora
 
> I do wonder about the necessity of packaging the Documentation directory [...]

I had thought about that as well and first wanted to exclude it, and then
thought "better leave it". I now excluded it again. Should it ever be needed
I'll include it.

> One question I have is where the actual dependencies for compiling the kernel
> source are going to come from.  This package has no dependency on make or the C
> compiler, and it doesn't look like the kcbench package does, either.

Forget that (or better: seems I deleted it again, as I think I added it once)

>  Should
> each of the data packages have dependencies on what they need in order to build?

What's currently in Fedora is sufficient and...

>  (They could have minimum gcc release requirements, for example, although I
> doubt a Fedora release would ever violate them unless gcc 5.9 fails to compile
> 2.6.20 ten years from now.)

...when it stops remains to be seen. Thus I didn't add any versions to the requires.

Added a small readme to this package as well.
---
Spec URL:
http://www.leemhuis.info/files/fedorarpms/SPECS.fdr/kcbench-data.spec

SRPM URL:
http://www.leemhuis.info/files/fedorarpms/SRPMS.fdr/kcbench-data-0.1-2.src.rpm

SRPM DIFF URL:
http://www.leemhuis.info/files/fedorarpms/DIFFS.fdr/kcbench-data.rpmdiff
Comment 3 Jason Tibbitts 2007-10-14 23:17:10 EDT
OK, looks good to me.

APPROVED
Comment 4 Thorsten Leemhuis 2007-10-15 00:48:33 EDT
(In reply to comment #3)
> OK, looks good to me. APPROVED

thx tibbs

New Package CVS Request
=======================
Package Name: kcbench-data
Short Description: Kernel sources to be used by kcbench
Owners: thl
Branches: F-7, EL-5
InitialCC:
Cvsextras Commits: no
Comment 5 Kevin Fenzi 2007-10-15 11:49:37 EDT
cvs done.
Comment 6 Thorsten Leemhuis 2007-10-15 14:49:22 EDT
thx everyone; imported and build

Note You need to log in before you can comment on or make changes to this bug.